summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-06-13 17:47:04 +0200
committer Eric Hameleers <alien@slackware.com>2019-06-13 17:47:04 +0200
commit1470556a016768718bfe927cac333f106079ab2f (patch)
treef3a179392634e2044ab473d691f82014e19c0bf4
parentb32c2e9d9795d121f004b43ba82331216e1087fa (diff)
downloadktown-1470556a016768718bfe927cac333f106079ab2f.tar.gz
ktown-1470556a016768718bfe927cac333f106079ab2f.tar.xz
Deps: add quazip as new dependency for krita
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rw-r--r--deps/quazip/.url1
-rwxr-xr-xdeps/quazip/quazip.SlackBuild118
-rw-r--r--deps/quazip/slack-desc19
-rwxr-xr-xdeps/updates.SlackBuild1
5 files changed, 140 insertions, 0 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index 437e8d7..bf662a6 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -86,6 +86,7 @@ ALLDEPS=" \
libsass \
sassc \
rttr \
+ quazip \
"
# Only needed when adding support for Wayland:
#elogind \
diff --git a/deps/quazip/.url b/deps/quazip/.url
new file mode 100644
index 0000000..861f9c4
--- /dev/null
+++ b/deps/quazip/.url
@@ -0,0 +1 @@
+https://github.com/stachenov/quazip/archive/v0.8.1.tar.gz
diff --git a/deps/quazip/quazip.SlackBuild b/deps/quazip/quazip.SlackBuild
new file mode 100755
index 0000000..662d7b3
--- /dev/null
+++ b/deps/quazip/quazip.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PKGNAM=quazip
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Fix bogus permissions:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure and compile:
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md COPYING NEWS.txt README.md \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/quazip/slack-desc b/deps/quazip/slack-desc
new file mode 100644
index 0000000..dc362f1
--- /dev/null
+++ b/deps/quazip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+quazip: quazip (C++ wrapper for the Gilles Vollant's ZIP/UNZIP C package)
+quazip:
+quazip: Minizip is a simple C library for creating, appending and reading
+quazip: ZIP archives. One thing Qt can't do out-of-the-box is write and read
+quazip: ZIP archives.
+quazip: QuaZIP is a simple C++ wrapper around Minizip. With QuaZIP, both
+quazip: ZIP files and files inside ZIP archives can be accessed with
+quazip: QIODevice API.
+quazip:
+quazip: See also: https://stachenov.github.io/quazip/
+quazip:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index 479e591..671c1be 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -84,6 +84,7 @@ ALLDEPS=" \
libsass \
sassc \
rttr \
+ quazip \
"
# Only needed when adding support for Wayland:
#elogind \